/* 
 * GTKSEISVIEWGL - Library for rendering of 2D seismic data
 *
 * Copyright (C) 2006 Vladimir Bashkardin
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more av.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author:  Vladimir Bashkardin  <vovizmus@users.sourceforge.net>
 */

#ifndef __G_SEIS_VIEW_AXIS_TRACES_H__
#define __G_SEIS_VIEW_AXIS_TRACES_H__

#include <gtkseisviewgl/gseispalette.h>
#include <gtkseisviewgl/gseisviewaxis.h>

G_BEGIN_DECLS

#define G_SEIS_TYPE_VIEW_AXIS_TRACES            (g_seis_view_axis_traces_get_type ())
#define G_SEIS_VIEW_AXIS_TRACES(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), G_SEIS_TYPE_VIEW_AXIS_TRACES, GSeisViewAxisTraces))
#define G_SEIS_VIEW_AXIS_TRACES_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), G_SEIS_TYPE_VIEW_AXIS_TRACES, GSeisViewAxisTracesClass))
#define G_SEIS_IS_VIEW_AXIS_TRACES(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), G_SEIS_TYPE_VIEW_AXIS_TRACES))
#define G_SEIS_IS_VIEW_AXIS_TRACES_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), G_SEIS_TYPE_VIEW_AXIS_TRACES))
#define G_SEIS_VIEW_AXIS_TRACES_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), G_SEIS_TYPE_VIEW_AXIS_TRACES, GSeisViewAxisTracesClass))

typedef struct _GSeisViewAxisTraces GSeisViewAxisTraces;
typedef struct _GSeisViewAxisTracesClass GSeisViewAxisTracesClass;

typedef enum {
  G_SEIS_VIEW_AXIS_TRACES_INTEGER,
  G_SEIS_VIEW_AXIS_TRACES_FLOAT
} GSeisViewAxisTracesFormat;

struct _GSeisViewAxisTraces {
    GSeisViewAxis parent;
};

struct _GSeisViewAxisTracesClass {
    GSeisViewAxisClass parent_class;
};

GType g_seis_view_axis_traces_get_type (void);

GSeisViewAxisTraces* g_seis_view_axis_traces_new (void);

void g_seis_view_axis_traces_set_values (GSeisViewAxisTraces *axis, GSeisViewAxisTracesFormat format, GArray *values);
void g_seis_view_axis_traces_set_str_values (GSeisViewAxisTraces *axis, GPtrArray *str_values);
void g_seis_view_axis_traces_set_precision (GSeisViewAxisTraces* axis, guint8 precision);
void g_seis_view_axis_traces_set_font (GSeisViewAxisTraces *axis, const gchar *font_name);
void g_seis_view_axis_traces_set_fg_color (GSeisViewAxisTraces *axis, const GSeisColor *fg_color);
void g_seis_view_axis_traces_set_bg_color (GSeisViewAxisTraces *axis, const GSeisColor *bg_color);

G_END_DECLS

#endif /* __G_SEIS_VIEW_AXIS_TRACES_H__ */
