/* 
 * GTKSEISVIEWGL - Library for rendering of 2D seismic data
 *
 * Copyright (C) 2006 Vladimir Bashkardin
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more av.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author:  Vladimir Bashkardin  <vovizmus@users.sourceforge.net>
 */

#ifndef __G_SEIS_VIEW_LIGHT_H__
#define __G_SEIS_VIEW_LIGHT_H__

#include <gtk/gtk.h>
#include <gtkseisviewgl/gseisviewdatavis.h>

G_BEGIN_DECLS

#define G_SEIS_TYPE_VIEW_LIGHT            (g_seis_view_light_get_type ())
#define G_SEIS_VIEW_LIGHT(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), G_SEIS_TYPE_VIEW_LIGHT, GSeisViewLight))
#define G_SEIS_VIEW_LIGHT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), G_SEIS_TYPE_VIEW_LIGHT, GSeisViewLightClass))
#define G_SEIS_IS_VIEW_LIGHT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), G_SEIS_TYPE_VIEW_LIGHT))
#define G_SEIS_IS_VIEW_LIGHT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), G_SEIS_TYPE_VIEW_LIGHT))
#define G_SEIS_VIEW_LIGHT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), G_SEIS_TYPE_VIEW_LIGHT, GSeisViewLightClass))

typedef struct _GSeisViewLight GSeisViewLight;
typedef struct _GSeisViewLightClass GSeisViewLightClass;

struct _GSeisViewLight {
    GObject parent;
};

struct _GSeisViewLightClass {
    GObjectClass parent_class;

	void (*view_attach_notify) (GSeisViewLight *self, GtkWidget *seis_view_gl);
	void (*view_detach_notify) (GSeisViewLight *self, GtkWidget *seis_view_gl);

	void (*view_light_on) (GSeisViewLight *self, GtkWidget *seis_view_gl);
	void (*view_light_off) (GSeisViewLight *self, GtkWidget *seis_view_gl);
};

GType g_seis_view_light_get_type (void);

void g_seis_view_light_attach_notify (GSeisViewLight *light, GtkWidget *seis_view_gl);
void g_seis_view_light_detach_notify (GSeisViewLight *light, GtkWidget *seis_view_gl);
void g_seis_view_light_on (GSeisViewLight *light, GtkWidget *seis_view_gl);
void g_seis_view_light_off (GSeisViewLight *light, GtkWidget *seis_view_gl);

G_END_DECLS

#endif /* __G_SEIS_VIEW_LIGHT_H__ */
