/* 
 * GTKSEISVIEWGL - Library for rendering of 2D seismic data
 *
 * Copyright (C) 2006 Vladimir Bashkardin
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more av.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author:  Vladimir Bashkardin  <vovizmus@users.sourceforge.net>
 */

#ifndef __G_SEIS_VIEW_TOOL_SCALE_H__
#define __G_SEIS_VIEW_TOOL_SCALE_H__

#include <gtkseisviewgl/gseisviewtool.h>

G_BEGIN_DECLS

#define G_SEIS_TYPE_VIEW_TOOL_SCALE            (g_seis_view_tool_scale_get_type ())
#define G_SEIS_VIEW_TOOL_SCALE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), G_SEIS_TYPE_VIEW_TOOL_SCALE, GSeisViewToolScale))
#define G_SEIS_VIEW_TOOL_SCALE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), G_SEIS_TYPE_VIEW_TOOL_SCALE, GSeisViewToolScaleClass))
#define G_SEIS_IS_VIEW_TOOL_SCALE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), G_SEIS_TYPE_VIEW_TOOL_SCALE))
#define G_SEIS_IS_VIEW_TOOL_SCALE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), G_SEIS_TYPE_VIEW_TOOL_SCALE))
#define G_SEIS_VIEW_TOOL_SCALE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), G_SEIS_TYPE_VIEW_TOOL_SCALE, GSeisViewToolScaleClass))

typedef struct _GSeisViewToolScale GSeisViewToolScale;
typedef struct _GSeisViewToolScaleClass GSeisViewToolScaleClass;

struct _GSeisViewToolScale {
    GSeisViewTool parent;
};

struct _GSeisViewToolScaleClass {
    GSeisViewToolClass parent_class;
};

GType g_seis_view_tool_scale_get_type (void);

GSeisViewToolScale* g_seis_view_tool_scale_new (void);

G_END_DECLS

#endif /* __G_SEIS_VIEW_TOOL_SCALE_H__ */
